[![logo](https://www.hongsnet.net/images/logo.gif)](https://www.hongsnet.net)

# 홍쓰넷 Docker 도입 Project

> `Docker Swarm`도입을 검토하고, www.hongsnet.net에 성공적으로 도입한다.

> DEMO Url : https://swarm.freehongs.net/

# Table of Contents

| NO | ITEM | Content | 비고 |
| ------ | ------ | ------ | ------ |
| 1 | Docker 설치 | [GO](./INSTALL/) | |
| 2 | Docker compose로 컨테이너 관리/제어 | [GO](./DOCKER-COMPOSE/) | |
| 3 | Docker Network 검토 | [GO](./NETWORK/) | |
| 4 | Docker Storage 검토 | [GO](./STORAGE/) | |
| 5 | Docker Swarm 클러스터 도입검토 | [GO](./SWARM/) | |
| 6 | Docker Swarm에서 애플리케이션 배포| [GO](./SWARM_APP/) | |
| 7 | www.hongsnet.net 서비스 구성 | [GO](./HONGSNET) | |

## System Overview

![system_overview](./www.hongsnet.net_swarm.png)


## Begin Overview

아래의 검토내역은 최조, `Virtualization` -> `Docker Standalone`으로 검토한 내역이며, Swarm은 고려되지 않는 구성도 이다.

![begin_overview](./begin-container.png)
